
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)

require 'notifications/version'

Gem::Specification.new do |spec|
  spec.name          = 'unagi-notifications'
  spec.version       = Notifications::VERSION
  spec.platform      = Gem::Platform::RUBY
  spec.authors       = ['Lucas Hourquebie']
  spec.email         = ['lucashour1993@gmail.com']

  spec.summary       = 'Notifications system integration'
  spec.description   = 'Notifications system using Google Firebase for Realtime Database'
  spec.homepage      = 'http://unagi.com.ar'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = [
    'lib/notifications',
    'lib/notifications/uploader',
    'lib/notifications/engine',
    'lib/notifications/realtie',
    'lib/notifications/helper'
  ]
  spec.files         = `git ls-files`.split("\n")
  spec.test_files    = `git ls-files -- {spec}/*`.split("\n")
  spec.require_paths = ['lib']

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency 'actionpack', '>= 3.2'
  spec.add_runtime_dependency 'railties', '>= 3.2'
  spec.add_dependency 'faraday'
end
